/* Insérer ici les fonctions spécifiques à cette activité. Elles peuvent marcher
avec les fonctions et variables déjà définies dans 'activity_functions.js' du
dossier 'res'.*/

var camera_activated = false;
var camera_setup = false;
var moon_signal_activated = false;
var hatch_opened = false;

function init_var() {
  camera_activated = false;
  camera_setup = false;
  moon_signal_activated = false;
  hatch_opened = false;
  sendString('IO_4_1;IO_5_1;IO_6_1;IO_7_1;IO_8_1;IO_9_1;IO_10_1;IO_14_1;IO_15_1;IO_16_1;IO_18_1;IO_19_1;IO_20_1;IO_21_1;');

}

function displayConsignes(id) {
  var x = document.getElementsByClassName("consignes");
  var i;
  for (i = 0; i < x.length; i++) {
     x[i].style.display = "none";
   }
  var consignesDiv = document.getElementById(id);
  consignesDiv.style.display = 'block';
}

displayConsignes("desc_1");


/* GESTION DES POPUP*/

// Gets the modal (intiated as the intro_modal at first)
var modal = document.getElementById("intro_modal");
// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

// Displays the modal when DOM is Loaded
document.addEventListener('DOMContentLoaded', event => {
  modal.style.display = "block";
});
// When the user clicks on <span> (x), close the modal
span.onclick = function() {
  modal.style.display = "none";
}
// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
}
